<?php
session_start();


include("../elements/functions.php");

// ----------------------------API CALL--------------------//
$jsonFilePath = __DIR__ . '/../urls/api_endpoints.json';
$jsonData = file_get_contents($jsonFilePath);
$endpoints = json_decode($jsonData, true);
$url = $endpoints["connection_profile"];
// ----------------------- ENDS HERE-------------------------//

if (!isset($_SESSION['token'])) {
    include('token_exp.php');
}

$token = $_SESSION['token'];
$result = make_get_request($url, ["Authorization: $token"]);
$response = json_decode($result, true);
$_SESSION["response"] = $response;


if (isset($response['items']) && is_array($response['items'])) {
    $user_list = array_map(function($user) {
        return [
            'description' => $user['description'] ?? '-',
            'status' => $user['status'] ?? '-',
            'id' => $user['id'] ?? '-'
        ];
    }, $response['items']);}
?>

